/****************************************************************************
** FilterDialog meta object code from reading C++ file 'FilterDialog.h'
**
** Created: Thu Oct 26 17:51:14 2000
**      by: The Qt MOC ($Id: qt/src/moc/moc.y   2.2.1   edited 2000-09-29 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#define Q_MOC_FilterDialog
#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "FilterDialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#if defined(Q_SPARCWORKS_FUNCP_BUG)
#define Q_AMPERSAND
#else
#define Q_AMPERSAND &
#endif


const char *FilterDialog::className() const
{
    return "FilterDialog";
}

QMetaObject *FilterDialog::metaObj = 0;

void FilterDialog::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(FilterDialogData::className(), "FilterDialogData") != 0 )
	badSuperclassWarning("FilterDialog","FilterDialogData");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString FilterDialog::tr(const char* s)
{
    return qApp->translate( "FilterDialog", s, 0 );
}

QString FilterDialog::tr(const char* s, const char * c)
{
    return qApp->translate( "FilterDialog", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* FilterDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) FilterDialogData::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void(FilterDialog::*m1_t0)(const emuConfig&);
    typedef void(FilterDialog::*m1_t1)(int);
    typedef void(FilterDialog::*m1_t2)(int);
    typedef void(FilterDialog::*m1_t3)(int);
    typedef void(FilterDialog::*m1_t4)(bool);
    typedef void(FilterDialog::*m1_t5)();
    m1_t0 v1_0 = Q_AMPERSAND FilterDialog::receiveConfig;
    m1_t1 v1_1 = Q_AMPERSAND FilterDialog::updatePara1;
    m1_t2 v1_2 = Q_AMPERSAND FilterDialog::updatePara2;
    m1_t3 v1_3 = Q_AMPERSAND FilterDialog::updatePara3;
    m1_t4 v1_4 = Q_AMPERSAND FilterDialog::setFilterFlag;
    m1_t5 v1_5 = Q_AMPERSAND FilterDialog::setDefaults;
    QMetaData *slot_tbl = QMetaObject::new_metadata(6);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(6);
    slot_tbl[0].name = "receiveConfig(const emuConfig&)";
    slot_tbl[0].ptr = (QMember)v1_0;
    slot_tbl_access[0] = QMetaData::Public;
    slot_tbl[1].name = "updatePara1(int)";
    slot_tbl[1].ptr = (QMember)v1_1;
    slot_tbl_access[1] = QMetaData::Protected;
    slot_tbl[2].name = "updatePara2(int)";
    slot_tbl[2].ptr = (QMember)v1_2;
    slot_tbl_access[2] = QMetaData::Protected;
    slot_tbl[3].name = "updatePara3(int)";
    slot_tbl[3].ptr = (QMember)v1_3;
    slot_tbl_access[3] = QMetaData::Protected;
    slot_tbl[4].name = "setFilterFlag(bool)";
    slot_tbl[4].ptr = (QMember)v1_4;
    slot_tbl_access[4] = QMetaData::Protected;
    slot_tbl[5].name = "setDefaults()";
    slot_tbl[5].ptr = (QMember)v1_5;
    slot_tbl_access[5] = QMetaData::Protected;
    typedef void(FilterDialog::*m2_t0)(const emuConfig&);
    m2_t0 v2_0 = Q_AMPERSAND FilterDialog::changed;
    QMetaData *signal_tbl = QMetaObject::new_metadata(1);
    signal_tbl[0].name = "changed(const emuConfig&)";
    signal_tbl[0].ptr = (QMember)v2_0;
    metaObj = QMetaObject::new_metaobject(
	"FilterDialog", "FilterDialogData",
	slot_tbl, 6,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}

#include <qobjectdefs.h>
#include <qsignalslotimp.h>

// SIGNAL changed
void FilterDialog::changed( const emuConfig& t0 )
{
    // No builtin function for signal parameter type const emuConfig&
    QConnectionList *clist = receivers("changed(const emuConfig&)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(const emuConfig&);
    RT0 r0;
    RT1 r1;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	}
    }
}
